//
// Copyright (C) 1999-2004 WideStudio Development Team
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// WIDESTUDIO DEVELOPMENT TEAM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
// Except as contained in this notice, the name of WideStudio Development Team 
// shall not be used in advertising or otherwise to promote the sale, use or 
// other dealings in this Software without prior written authorization from  
// WideStudio Development Team.

#if !defined(_j3wunit_h)
#define _j3wunit_h

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "spaceh3d.h"
#include "j3djob.h"

extern void  cbreak();
extern void  echo();
extern void  nocbreak();
extern void  noecho();
extern void  J3WCreate();
extern void  J3WOpen(short full, short sm, short dith, short zb);
extern void  J3WClose();
extern short J3WLoop();
extern void  J3WStart();
extern short J3WNew(char *FileName);
extern void  J3WTextShow();
extern void  J3WTextHide();
extern void  J3WMidiOpen();
extern void  J3WOption(long value);
extern void  J3WSetMem(short adr, long n);
extern long  J3WGetMem(short adr);
extern short J3WDeviceCount(short typ);
extern char *J3WDeviceName(short typ, short no);
extern void  J3WSetDevice(short typ, short no);

#endif

